/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * RepositoryHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.demo;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface RepositoryHomeLocal extends EJBLocalHome
{
    public RepositoryLocal create(String id)
        throws CreateException, EJBException;

    public RepositoryLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
