/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * InventoryItemHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface InventoryItemHomeLocal extends EJBLocalHome
{
    public InventoryItemLocal create(StorehouseLocal storehouseLocal, FinishedGoodsLocal finishedGoodsLocal, int minAmount, int maxAmount)
        throws CreateException, EJBException;

    public InventoryItemLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
