/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 *
 * ProductionLineBasicServiceRemote.java
 */

package org.eu.adapt.demonstrator.bs.manufacturer;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import org.eu.adapt.services.demo_1_0.ProductionLineBasicService_wsdl.types.ProductionLineState;

public interface ProductionLineBasicServiceRemote extends EJBObject
{
    public String[] getListProductionLines()
        throws RemoteException;

    public ProductionLineState getProductionLineState(String productionLineName)
        throws RemoteException;

    public boolean setRestock(String productionLineName, String finishedGoodsID, int amount)
        throws RemoteException;
}