/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ItemHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;

import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface ItemHomeLocal extends EJBLocalHome
{
    public ItemLocal create(FinishedGoodsLocal finishedGoods, int quantity, float price)
        throws CreateException, EJBException;

    public ItemLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
